import React from 'react';
import {View, Text, StyleSheet} from 'react-native';
import Constants from '../../lib/constants';
import Card from '../../components/Card';

class TrainingItem extends React.Component {
  render() {
    return (
      <Card disabled={this.props.disabled}>
        <Text style={styles.order}>Treino {this.props.order}</Text>
        <Text style={styles.description}>{this.props.description}</Text>
        {/* <Text style={styles.description}>D: {this.props.distance}</Text> */}
      </Card>
    );
  }
}

const styles = StyleSheet.create({
  order: {
    color: Constants.colors.primary,
    fontWeight: 'bold',
    fontSize: 20,
  },

  description: {
    fontSize: 15,
    alignItems: 'flex-start',
  },
});

export default TrainingItem;
