import React from 'react';
import {View, StyleSheet, FlatList, Text} from 'react-native';
import TrainingItem from './TrainingItem';


const Week = props => {
  return (
    <View style={styles.container}>
      <FlatList
        data={props.trainings}
        renderItem={({item}) => <TrainingItem {...item} />}
        keyExtractor={item => item.order.toString()}
      />
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: 'rgba(165, 54, 147, 0.1)',
  },
});

export default Week;
